[workspace]
members = ["efi-bin", "xtask"]
resolver = "2"

[profile.release]
strip = true
opt-level = "z"
lto = true
codegen-units = 1
panic = "abort"

[workspace.dependencies]
aligned-vec = { version = "0.5.0", default-features = false }
fatfs = { path = "rust-fatfs", default-features = false, features = ["alloc", "chrono"] }
embedded-graphics = "0.8.1"
mbrs = "0.3.1"
tinygif = { version = "0.0.4", features = ["8k"] }
uefi = { version = "0.28.0", features = ["global_allocator", "panic_handler", "alloc"] }
uefi-graphics2 = "0.1.3"
